RubyGems Beta 0.9.4.7

RubyGems 0.9.4.7 is a beta release for the upcoming 0.9.5 which adds
several new features and fixes several bugs.

To upgrade to the beta:

gem update --system --source http://segment7.net/

A tar.gz and .zip of the beta can also be downloaded for manual
installation:

http://segment7.net/temp/rubygems-0.9.4.7.tgz
http://segment7.net/temp/rubygems-0.9.4.7.zip

Unpack either and run ruby setup.rb.

To file bugs:

http://rubyforge.org/tracker/?func=add&group_id=126&atid=575

When filing a bug, gem env output will be helpful in diagnosing the
issue.

If you find a bug where RubyGems crashes, please provide debug
output. You can do that with gem --debug the_command. For example:

$ gem --debug unknown_command
Exception RuntimeError' at [...]/rubygems/command_manager.rb:114 - Unknown command unknown_command ERROR: While executing gem ... (RuntimeError) Unknown command unknown_command [...]/rubygems/command_manager.rb:114:infind_command’
[…]/rubygems/command_manager.rb:103:in process_args' [...]/rubygems/command_manager.rb:74:inrun’
[…]/rubygems/gem_runner.rb:39:in `run’
/usr/local/bin/gem:22

== Changes Since 0.9.4.6

  • Backwards compatibility changes to the RubyGems index
  • Ruby 1.8.2 compatibility bugfix
  • -V now enables verbose instead of -v to avoid collision with –
    version/-v
  • RubyGems now generates .bat files instead of .cmd files

For the rest of the updates since RubyGems 0.9.4, see the RubyGems
Beta 0.9.4.5 release notes:

http://blog.segment7.net/articles/2007/10/13/rubygems-beta-0-9-4-5